//+------------------------------------------------------------------+
//|                                              Brooky_Barline.mq4  |
//|                      Copyright  2015, www.Brooky-Indicators.com |
//|                                        www.Brooky-Indicators.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2015, www.Brooky-Indicators.com"
#property link      "www.Brooky-Indicators.com"
#property indicator_chart_window
#property indicator_buffers 0

extern string note="-ve Bar Value will draw into future";
extern int     Bar_2_Draw_Vertical_on=26;
extern string  Unique_Line_Name="Line_1";
extern color   LineColor = C'228,25,25';
extern int     LineWidth =1;
extern int     LineStyle =0;
extern bool see_comment=true;
extern int  comment_space_from_top = 1;

datetime bbk;
int found;
string verbose="";
string space="";
//+------------------------------------------------------------------+
//+ INIT |
//+------------------------------------------------------------------+
int init()
  {
   found=ObjectFind(0,Unique_Line_Name);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//+ DEINIT |
//+------------------------------------------------------------------+
int deinit()
  {
   ObjectDelete(Unique_Line_Name);
   Comment("");
   return(0);
  }
//+------------------------------------------------------------------+
//+ START |
//+------------------------------------------------------------------+
int start()
  {

   if(Bar_2_Draw_Vertical_on>=0)bbk=Time[Bar_2_Draw_Vertical_on];else bbk=Time[0]-(Period()*60*Bar_2_Draw_Vertical_on);

   found=ObjectFind(0,Unique_Line_Name);

   if(found<0)drawit(Unique_Line_Name,Close[0],bbk,LineColor);

   if(found>=0 && NewBar())drawit(Unique_Line_Name,Close[0],bbk,LineColor);

   if(see_comment)
     {
      verbose="Brooky-Indicators.com Barline\n-----------------\n"+Unique_Line_Name+"\nLine Set @ Bar "+DoubleToStr(Bar_2_Draw_Vertical_on,0)+"\n"+TimeToStr(bbk,TIME_DATE|TIME_MINUTES)+"\nTime Now\n"+TimeToStr(Time[0],TIME_DATE|TIME_MINUTES);
      space="";
 
            for(int s=comment_space_from_top; s>=0; s--)
         {
            space+="\n";
        
         }  
         
       Comment(space+verbose);
     }

   return(0);


  }
//---------------------------------

void drawit(string nameit,double p1,datetime t1,color cl)
  {
   int win_idx=0;

   if(ObjectFind(win_idx,nameit)<0)
     {
      ObjectCreate(nameit,OBJ_VLINE,win_idx,t1,p1);
      ObjectSet(nameit,OBJPROP_COLOR,cl);
      ObjectSet(nameit,OBJPROP_WIDTH,LineWidth);
      ObjectSet(nameit,OBJPROP_STYLE,LineStyle);
     }
   else
      ObjectMove(win_idx,nameit,0,t1,p1);
WindowRedraw();
  }
//+------------------------------------------------------------------+
bool NewBar()
  {
   static datetime blastbar;
   datetime bcurbar=Time[0];

   if(blastbar!=bcurbar)
     {
      blastbar=bcurbar;
      return (true);
     }
   else
     {
      return(false);
     }
  }
//+------------------------------------------------------------------+
